# Generated from pingpongpairing-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pingpongpairing

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: simplified ping pong pairing
License: MIT
URL: https://github.com/SampsonCrowley/pingpongpair
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-nc) >= 0.3
# BuildRequires: rubygem(rspec-nc) < 1
# BuildRequires: rubygem(guard) >= 2.14
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard-rspec) >= 4.7.3
# BuildRequires: rubygem(guard-rspec) < 4.8
# BuildRequires: rubygem(guard-shell)
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-remote) >= 0.1.8
# BuildRequires: rubygem(pry-remote) < 0.2
# BuildRequires: rubygem(pry-nav) >= 0.2.4
# BuildRequires: rubygem(pry-nav) < 0.3
# BuildRequires: rubygem(bump)
BuildArch: noarch

%description
This gem uses ngrok and sinatra to automate ping pong style pairing setups.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/parallel
%{_bindir}/pingpong
%{_bindir}/sendevent
%{_bindir}/webhook
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/pair
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/pingpongpairing.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.1.4-1
- Initial package
